module cntrl_7seg(
    input clk,
    input rst,
    input [3:0] din0,
	input [3:0] din1,
	output [3:0] AN,
	output [7:0] SEG,
	output dbg_en,
	output [1:0] dbg_cntr,
	output [3:0] dbg_dmux
);


// ~kHz enable signal
wire en;


// 4 bites shift register
reg [3:0] shr;


assign AN = shr;

// 2 bit counter
reg [1:0] cntr;



// 4 bit, 4:1 multiplexer
reg [3:0] dmux;



// segment decoder
reg [7:0] SEG_DEC;
always @(dmux)
	case (dmux)
		4'h0:    SEG_DEC <= 8'b00000011;
		4'h1:    SEG_DEC <= 8'b10011111;
		4'h2:    SEG_DEC <= 8'b00100101;
		4'h3:    SEG_DEC <= 8'b00001101;
		4'h4:    SEG_DEC <= 8'b10011001;
		4'h5:    SEG_DEC <= 8'b01001001;
		4'h6:    SEG_DEC <= 8'b01000001;
		4'h7:    SEG_DEC <= 8'b00011111;
		4'h8:    SEG_DEC <= 8'b00000001;
		4'h9:    SEG_DEC <= 8'b00001001;
		default: SEG_DEC <= 8'b11111111;
	endcase

assign SEG = SEG_DEC;

assign dbg_en = en;
assign dbg_cntr = cntr;
assign dbg_dmux = dmux;

endmodule