`timescale 1ns / 1ps

module count_sec(
    input clk,
    input rst,
    input ce,
    input dir,
    output [6:0] q
    );

reg [3:0] cntr_d0;
wire cntr_d0_eq0, cntr_d0_eq9;

always @(posedge clk)
if (rst)
   cntr_d0 <= 0;
else if (ce) 
   if (dir)            //DIR=1: count up
      if (cntr_d0_eq9)
         cntr_d0 <= 0;
      else 
         cntr_d0 <= cntr_d0 + 1;
   else                //DIR=0: count down
      if (cntr_d0_eq0) 
         cntr_d0 <= 9;
      else 
         cntr_d0 <= cntr_d0 - 1;

assign cntr_d0_eq0 = (cntr_d0 == 0);
assign cntr_d0_eq9 = (cntr_d0 == 9);

reg [2:0] cntr_d1;
wire cntr_d1_eq0, cntr_d1_eq5;

always @(posedge clk)
if (rst)
   cntr_d1 <= 0;
else if (ce) 
   if (dir & cntr_d0_eq9)
      if (cntr_d1_eq5)
         cntr_d1 <= 0;
      else 
         cntr_d1 <= cntr_d1 + 1;
   else if (~dir & cntr_d0_eq0)
      if (cntr_d1_eq0) 
         cntr_d1 <= 5;
      else 
         cntr_d1 <= cntr_d1 - 1;

assign cntr_d1_eq0 = (cntr_d1 == 0);
assign cntr_d1_eq5 = (cntr_d1 == 5);

assign q = {cntr_d1, cntr_d0};


endmodule
