   `timescale 1ns / 1ps
module wpbevtop1(
    input clk, btn0, sw0,
    output [6:0] q,
	output [3:0] AN,
	output [7:0] SEG
    );

reg rst, dir;
always @(posedge clk)
//Synchronise inputs
begin  
   rst <= btn0;
   dir <= sw0;  
end

wire ce;
rategen rategenerator(
   .clk(clk),
   .rst(rst),
   .cy(ce)
);

wire [3:0] cntr_d0;
wire [2:0] cntr_d1;
count_sec counter(
   .clk(clk),
   .rst(rst),
   .ce(ce),
   .dir(dir),
   .q({cntr_d1, cntr_d0})
);

assign q = {cntr_d1, cntr_d0};

wire dbg_en;
wire [1:0] dbg_cntr;
wire [3:0] dbg_dmux;
cntrl_7seg seg7(
   .clk(clk),
   .rst(rst),
   .din0(cntr_d0),
   .din1({1'b0, cntr_d1}),
   .AN(AN),
   .SEG(SEG),
	
   .dbg_en(dbg_en),
	.dbg_cntr(dbg_cntr),
	.dbg_dmux(dbg_dmux)
);

endmodule

